#version 440 core
in layout(location=0) vec3 aPos;
in layout(location=1) vec2 uv;

uniform mat4 M;
uniform mat4 V;
uniform mat4 P;

out vec2 TexCoord;


void main() {
    TexCoord = uv;
    gl_Position = P * V * M * vec4(aPos.x, aPos.y, aPos.z, 1.0);
}