project "SandboxApp"
kind "ConsoleApp"

buildmessage "Building SandboxApp ..."

links{
  "BarinkEngine"
}

includedirs{
  "./../BarinkEngine/Include",

  -- I'd prefer if didn't need these..
  -- We'll figure that out some time later
  "./../libs/lua/include",
  "./../libs/spdlog/include",
  "./../libs/glm",
  "./../libs/GorillaAudio/include",

  "./../libs/assimp/include",
  "./../libs/glad/include",
  "./../libs/glfw/include",
  "./../libs/tinygltf",
  "./../libs/glew/include",
  "./../libs/glm",
  "./../libs/ImGui",
  
  "../libs/entt/src",


}

libdirs {
  './../build/BarinkEngine/Debug'
}

files { 
  "./src/*.h",
  "./src/*.cpp"
}